Bug 1356132 - Fedora packages are claimed to be not trusted
Summary: Fedora packages are claimed to be not trusted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-07-13 13:05 UTC by Kamil Páral
Modified: 2016-07-20 23:50 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.20.4-1.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 23:50:21 UTC
Type: Bug


Attachments (Terms of Use)
not trusted dialog (217.52 KB, image/png)
2016-07-13 13:05 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2016-07-13 13:05:41 UTC
Created attachment 1179251 [details]
not trusted dialog

Description of problem:
Since the time I updated to package versions mentioned in bug 1336459 comment 13, regular Fedora packages are claimed to be not trusted anymore. See screenshot.

How reproducible:
seems always

Steps to Reproduce:
1. update to the specified package versions
2. reboot
3. try to install something from gnome-software

Comment 1 Kalev Lember 2016-07-14 12:27:27 UTC
Should be fixed upstream with https://github.com/hughsie/PackageKit/commit/3ba7f032a1561e8886e3155cb898ef61b8654cd9

Comment 2 Fedora Update System 2016-07-14 13:28:08 UTC
PackageKit-1.1.3-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-2.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 3 Fedora Update System 2016-07-14 13:28:15 UTC
PackageKit-1.1.3-1.fc23 appstream-data-23-11.fc23 fwupd-0.7.2-2.fc23 gnome-shell-3.18.5-2.fc23 gnome-software-3.20.4-1.fc23 json-glib-1.2.0-1.fc23 libappstream-glib-0.5.16-2.fc23 libgusb-0.2.9-1.fc23 libhif-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 4 Kamil Páral 2016-07-14 13:40:39 UTC
This seems fixed with updates from comment 3.

Comment 5 Fedora Update System 2016-07-15 17:52:44 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fad11727bf

Comment 6 Fedora Update System 2016-07-20 23:49:44 UTC
PackageKit-1.1.3-1.fc23, appstream-data-23-11.fc23, fwupd-0.7.2-2.fc23, gnome-shell-3.18.5-2.fc23, gnome-software-3.20.4-1.fc23, json-glib-1.2.0-1.fc23, libappstream-glib-0.5.16-2.fc23, libgusb-0.2.9-1.fc23, libhif-0.2.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.